gi-gtk-3.0.43: Gtk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.RangeAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype RangeAccessible = RangeAccessible (ManagedPtr RangeAccessible)
- class (GObject o, IsDescendantOf RangeAccessible o) => IsRangeAccessible o
- toRangeAccessible :: (MonadIO m, IsRangeAccessible o) => o -> m RangeAccessible

# Exported types

newtype RangeAccessible Source #

Memory-managed wrapper type.

Constructors

RangeAccessible (ManagedPtr RangeAccessible) |

#### Instances

Instances details

Eq RangeAccessible Source # |
Instance details Defined in GI.Gtk.Objects.RangeAccessible Methods (==) :: RangeAccessible -> RangeAccessible -> Bool Source # (/=) :: RangeAccessible -> RangeAccessible -> Bool Source #
GObject RangeAccessible Source # |
Instance details Defined in GI.Gtk.Objects.RangeAccessible
ManagedPtrNewtype RangeAccessible Source # |
Instance details Defined in GI.Gtk.Objects.RangeAccessible Methods toManagedPtr :: RangeAccessible -> ManagedPtr RangeAccessible Source #
TypedObject RangeAccessible Source # |
Instance details Defined in GI.Gtk.Objects.RangeAccessible Methods glibType :: IO GType Source #
HasParentTypes RangeAccessible Source # |
Instance details Defined in GI.Gtk.Objects.RangeAccessible
IsGValue (Maybe RangeAccessible) Source # | Convert `RangeAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.RangeAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe RangeAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe RangeAccessible) Source #
type ParentTypes RangeAccessible Source # |
Instance details Defined in GI.Gtk.Objects.RangeAccessible type ParentTypes RangeAccessible = '[WidgetAccessible, Accessible, Object, Object, Component, Value]

class (GObject o, IsDescendantOf RangeAccessible o) => IsRangeAccessible o Source #

Type class for types which can be safely cast to `RangeAccessible`, for instance with `toRangeAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf RangeAccessible o) => IsRangeAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.RangeAccessible

toRangeAccessible :: (MonadIO m, IsRangeAccessible o) => o -> m RangeAccessible Source #

Cast to `RangeAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, bindProperty, bindPropertyFull, connectWidgetDestroyed, contains, forceFloating, freezeNotify, getv, grabFocus, initialize, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, runDispose, scrollTo, scrollToPoint, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getCurrentValue, getData, getDescription, getExtents, getHelpText, getIncrement, getIndexInParent, getLayer, getMaximumValue, getMdiZorder, getMinimumIncrement, getMinimumValue, getNAccessibleChildren, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRange, getRole, getSize, getSubRanges, getValueAndText, getWidget.

#### Setters

setAccessibleId, setCurrentValue, setData, setDataFull, setDescription, setExtents, setHelpText, setName, setParent, setPosition, setProperty, setRole, setSize, setValue, setWidget.